-- phpMyAdmin SQL Dump
-- version 4.5.3.1
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Gegenereerd op: 13 mrt 2016 om 18:09
-- Serverversie: 5.5.41
-- PHP-versie: 5.6.17

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `dbname`
--

-- --------------------------------------------------------

--
-- Tabelstructuur voor tabel `oneAppAnswer`
--

CREATE TABLE `oneAppAnswer` (
  `id` int(11) NOT NULL,
  `answerText` varchar(250) NOT NULL,
  `FKoneAppQuestionId` int(11) NOT NULL,
  `date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=latin1;



-- --------------------------------------------------------

--
-- Tabelstructuur voor tabel `oneAppDevice`
--

CREATE TABLE `oneAppDevice` (
  `id` int(11) NOT NULL,
  `deviceId` varchar(150) NOT NULL,
  `FKoneAppUserId` int(11) NOT NULL COMMENT 'Foreign Key'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;



-- --------------------------------------------------------

--
-- Tabelstructuur voor tabel `oneAppQuestion`
--

CREATE TABLE `oneAppQuestion` (
  `id` int(11) NOT NULL,
  `questionText` varchar(250) NOT NULL,
  `FKoneAppUserId` int(11) NOT NULL COMMENT 'FK to oneAppUser',
  `type` int(11) DEFAULT NULL COMMENT 'FK',
  `date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=latin1;



-- --------------------------------------------------------

--
-- Tabelstructuur voor tabel `oneAppUser`
--

CREATE TABLE `oneAppUser` (
  `id` int(11) NOT NULL,
  `email` varchar(150) DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  `date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


--
-- Indexen voor geëxporteerde tabellen
--

--
-- Indexen voor tabel `oneAppAnswer`
--
ALTER TABLE `oneAppAnswer`
  ADD PRIMARY KEY (`id`);

--
-- Indexen voor tabel `oneAppDevice`
--
ALTER TABLE `oneAppDevice`
  ADD PRIMARY KEY (`id`),
  ADD KEY `FKoneAppUserId` (`FKoneAppUserId`);

--
-- Indexen voor tabel `oneAppQuestion`
--
ALTER TABLE `oneAppQuestion`
  ADD PRIMARY KEY (`id`),
  ADD KEY `FKoneAppUserId` (`FKoneAppUserId`);

--
-- Indexen voor tabel `oneAppUser`
--
ALTER TABLE `oneAppUser`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `email` (`email`);

--
-- AUTO_INCREMENT voor geëxporteerde tabellen
--

--
-- AUTO_INCREMENT voor een tabel `oneAppAnswer`
--
ALTER TABLE `oneAppAnswer`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=55;
--
-- AUTO_INCREMENT voor een tabel `oneAppDevice`
--
ALTER TABLE `oneAppDevice`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=31;
--
-- AUTO_INCREMENT voor een tabel `oneAppQuestion`
--
ALTER TABLE `oneAppQuestion`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=34;
--
-- AUTO_INCREMENT voor een tabel `oneAppUser`
--
ALTER TABLE `oneAppUser`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=37;
--
-- Beperkingen voor geëxporteerde tabellen
--

--
-- Beperkingen voor tabel `oneAppDevice`
--
ALTER TABLE `oneAppDevice`
  ADD CONSTRAINT `oneAppDevice_ibfk_1` FOREIGN KEY (`FKoneAppUserId`) REFERENCES `oneAppUser` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Beperkingen voor tabel `oneAppQuestion`
--
ALTER TABLE `oneAppQuestion`
  ADD CONSTRAINT `oneAppQuestion_ibfk_1` FOREIGN KEY (`FKoneAppUserId`) REFERENCES `oneAppUser` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
