/*jshint browser:true */
/*global $ */(function()
{
 "use strict";
 /*
   hook up event handlers 
 */
 function register_event_handlers()
 {
    
console.log("need to load once for user to setup his question. write to file a flag and not show again.");
    if(localStorage.getItem('questionId')){//then go and get question from 
//console.log('questionId is: '+localStorage.getItem('questionId'));
        document.getElementById('questionLabel').innerHTML =localStorage.getItem('question');
        window.location.href ='#uib_page_1';
    }
    if(localStorage.getItem('uname')){
        document.getElementById('uname').value =localStorage.getItem('uname');
        document.getElementById('email').value =localStorage.getItem('email');
        $('#h4Account').html('Update Account');
    }

    $(document).on("click", "#saveQuestion", function(evt)
    {
        /* record Q to DB along with Device ID then raise a flag locally so that user does not see any more the 1st screen */
//console.log('user inserted: '+document.getElementById('question').value);
        $('#feedbackPageQH').html('Message');
        $('#feedbackPageQP').html('Please wait while we process the data.');
        $('#popupDialogQ').popup( "open" );
        var q =document.getElementById('question').value;
        if(q ==''){
            $('#feedbackPageQH').html('Error');
            $('#feedbackPageQP').html('You forgot to insert a question. Please insert a question before saving.');
            $('#popupDialogQ').popup( "open" );
        } else {
            //Write to DB
//console.log(device.uuid +' '+q);
            $('#saveQuestion').attr('disabled', 'disabled');
            $.ajax({
              type: 'POST',
              url: 'http://vjkhan.com/projects/oneApp/db.php',
              data: {deviceId:device.uuid,questionText:q},
              success: function(data,textStatus){
//console.log('ajax success:');
//console.log(data.error+' '+data.questionId);
                  localStorage.setItem('questionId',data.questionId);
                  localStorage.setItem('question',q);

                  document.getElementById('questionLabel').innerHTML =q;
                  window.location.href ='#uib_page_1';
              },
              error: function(xhr){console.log('ajax error'+ xhr.status + ' ' + xhr.statusText);},
              dataType: 'json'
            });
            
            }
    });
     
    $(document).on("click", "#saveAnswer", function(evt)
    {
        $('#feedbackPageH').html('Message');
        $('#feedbackPageP').html('Please wait while we process the data.');
        $('#popupDialog').popup( "open" );
        var a =document.getElementById('answer').value;
        if(a ==''){
            $('#feedbackPageH').html('Error');
            $('#feedbackPageP').html('You forgot to insert an answer. Please insert an answer before saving.');
            $('#popupDialog').popup( "open" );
        } else {
            //Write to DB
console.log(localStorage.getItem('questionId') +' '+a);
            $('#saveAnswer').attr('disabled', 'disabled');
            $.ajax({
              type: 'POST',
              url: 'http://vjkhan.com/projects/oneApp/dbSaveAnswer.php',
              data: {deviceId:device.uuid,questionId:localStorage.getItem('questionId'),answerText:a},
              success: function(data,textStatus){
console.log(data.error);
                  //if(data.error =='0')
                  $('#feedbackPageH').html('Success');
                  $('#feedbackPageP').html('Data successfully saved.');
                  $('#popupDialog').popup( "open" );
                  $('#answer').val('');
              },
              error: function(xhr){console.log('ajax error'+ xhr.status + ' ' + xhr.statusText);},
              dataType: 'json'
            });
            
            }
    });
     
    $(document).on("pageshow", "#uib_page_2", function(evt)
    {
        /* your code goes here */
       loadData(0);
    });
     
     var dData ='';
     function loadData(startRowsFrom){
            $('#popupDialogVD').popup( "open" );
            $.ajax({
                  type: 'POST',
                  url: 'http://vjkhan.com/projects/oneApp/dbGetAnswers.php',
                  data: {deviceId:device.uuid,questionId:localStorage.getItem('questionId'),startRowsFrom:startRowsFrom},
                  success: function(data,textStatus){
                      var li ='<ul data-role="listview" data-divider-theme="a"';
                      if(startRowsFrom ==0){
                          li +=' data-filter="true" data-filter-placeholder="Filter Data" data-inset="true">';
                      } else {
                          li +='>';
                      }
                      if(data.error =='0'){
console.log(startRowsFrom+' '+data.numOfRows+' '+data.numOfRowsToReturn);
                          var nr =parseInt(data.numOfRows);
                          var nr2r =parseInt(data.numOfRowsToReturn);
                          //var dData: GLOBAL VAR
                          $.each(data.rows, function(index, element) {
                              var dtData =element.date.split(' ');
                              if(dData !=dtData[0]){
                                 var datePresent =dtData[0].split('-');
                                 li +='<li data-role="list-divider">'+datePresent[2]+ '/'+datePresent[1]+'/'+datePresent[0]+'</li>';
                                 dData =dtData[0];
                              }
                              li +='<li>'+dtData[1].substr(0,5)+' '+element.answerText+'</li>';
                          });
                          if(nr >nr2r){
                              startRowsFrom =parseInt(startRowsFrom);
                              var dif =nr -parseInt(nr2r +startRowsFrom);
console.log(dif+'='+nr+'-'+(nr2r +startRowsFrom));
                              
                              if(dif >nr2r){
                                  li +='<li id="liRemoveMe"><a href="#" id="fetchMoreRows" data-startRowsFrom="' + (startRowsFrom + nr2r) + '"> Load ';
                                  li +=nr2r+'';
                                  li +=' more data points</a></li>';
                              } else if(dif >0) {
                                  li +='<li id="liRemoveMe"><a href="#" id="fetchMoreRows" data-startRowsFrom="' + (startRowsFrom + nr2r) + '"> Load ';
                                  li +=dif+'';
                                  li +=' more data points</a></li>';
                              } else{
                                  li +='<li data-role="list-divider">No more data</li>';   
                              }
                              
                          }
                          li +='</ul>';
                          if(startRowsFrom ==0){
                              $('#viewDataPageBody').html(li).enhanceWithin();
                          } else{
                              $('#liRemoveMe').remove();
                              $('#viewDataPageBody').append(li).enhanceWithin();
                          }
                              
                      }
                      $('#popupDialogVD').popup( "close" );
                  },
                  error: function(xhr){
                      console.log('ajax error'+ xhr.status + ' ' + xhr.statusText);
                      $('#popupDialogVD').popup( "close" );
                  },
                  dataType: 'json'
                });
            
     }
     
    $(document).on("click", "#fetchMoreRows", function(evt)
    {
console.log('#fetchMoreRows');
        var startRowsFrom =$('#fetchMoreRows').attr('data-startRowsFrom');
        loadData(startRowsFrom);
    });
                   
    $(document).on("click", "#changeQuestion", function(evt)
    {
        /* your code goes here */
        document.getElementById('question').value =localStorage.getItem('question');
        //add "cancel button
        var checkHtml =$('#page_79_27').html();
        var cancelBtn ='<a data-inline="true" data-role="button" id="cancelBtn" data-icon="carat-l">Cancel</a>';
        if(checkHtml.indexOf('Cancel') ==-1){
            $('#page_79_27').append(cancelBtn).enhanceWithin();
        }
        window.location.href ='#mainpage';
    });
     
    $(document).on("click", "#cancelBtn", function(evt)
    {
        window.location.href ='#uib_page_1';
    });
     
    $(document).on("click", "#saveAccount", function(evt)
    {
        /* your code goes here */
        $('#feedbackPageAH').html('Message');
        $('#feedbackPageAP').html('Please wait while we process the data.');
        $('#popupDialogA').popup( "open" );
        var uname =document.getElementById('uname').value;
        var email =document.getElementById('email').value;
        if(email=='' || uname ==''){
            $('#feedbackPageAH').html('Error');
            $('#feedbackPageAP').html('You forgot to fill out your name or email. Please fill out both email and name.');
            $('#popupDialogA').popup( "open" );
        }
        
        $.ajax({
              type: 'POST',
              url: 'http://vjkhan.com/projects/oneApp/dbUpdateAccount.php',
              data: {deviceId:device.uuid,email:email,uname:uname},
              success: function(data,textStatus){
                  if(data.error =='0'){
                      localStorage.setItem('email',email);
                      localStorage.setItem('uname',uname);
                      $('#feedbackPageAH').html('Success');
                      $('#feedbackPageAP').html('Your account was successfully saved.');
                      $('#popupDialogA').popup( "open" );
                  } else {
                      $('#feedbackPageAH').html('Error');
                      $('#feedbackPageAP').html('Error code: '+data.error+'. Please contact us at: <a href="mailto:v.j.khan@tue.nl">v.j.khan@tue.nl</a> about it.');
                      $('#popupDialogA').popup( "open" );
                  }
              },
              error: function(xhr){console.log('ajax error'+ xhr.status + ' ' + xhr.statusText);},
              dataType: 'json'
            });
    });
    
    }
 document.addEventListener("app.Ready", register_event_handlers, false);
})();
